Skip to content
Myra Online Help Updated · 21 Aug 2026

Starting a manual mitigation for a network

Note

If a manual mitigation is already active for the network, a second one cannot be started. The existing mitigation must be stopped first. Data-only networks cannot be mitigated.

Note

A partial mitigation cannot be started for a single-host network (an IPv4 /32 or IPv6 /128), because it comprises only a single address. Omit ip to mitigate the entire network instead.

Sends a POST request to the endpoint /networks/{network}/mitigation/start.

Description

The Start-Manual-Mitigation request starts a manual mitigation for a specified network.

Requirements

Values of the request: Network ID {network}

Objects: none

Request

To start a manual mitigation, add the Network ID {network} to the path of the request.

The body requires no attributes. The following attributes are optional:

Attributes Description Values
ip A list of individual IPs within the network for a partial mitigation. If this information is missing, the entire network CIDR is mitigated. Both IPv4 and IPv6 are accepted. array

As a result, the user gets one or more objects MitigationVO with the requested information.

The object provides the following information:

Attributes Description Values
id The ID of the mitigation. string
organisation The associated organisation. object
network The network, or the specific IP that is mitigated in the case of a partial mitigation. string
mitigation_type The type of the mitigation.
  • ACTION_BLACKHOLE
  • ACTION_MITIGATE_ONPREM
  • ACTION_MITIGATE_CLOUD
mitigation_cause How the mitigation was triggered.
  • MANUAL_TRIGGER
  • AUTO_TRIGGER
  • OPS_TRIGGER
  • UNKNOWN_TRIGGER
start The start date of the mitigation in ISO 8601 format. string($date-time)
end The end date of the mitigation in ISO 8601 format. string($date-time)
created_at The creation date in ISO 8601 format. string($date-time)
updated_at The last modification date in ISO 8601 format. string($date-time)
actual_bw The actual bandwidth. number($float)
actual_pps The actual packets per second. number($float)
configured_bw The configured bandwidth. number($float)
configured_pps The configured packets per second. number($float)
configured_bw_percentage The configured bandwidth as a percentage. number
configured_pps_percentage The configured packets per second as a percentage. number
peak_bw The peak bandwidth. number($float)
peak_pps The maximum packets per second. number($float)
total_bw The total bandwidth. number($float)
total_pps The total packets per second. number($float)
has_report Shows whether a report is available for the mitigation.
  • true
  • false
start_user The person who started the mitigation. object
end_user The person who ended the mitigation. This value is null while the mitigation is running. object

Example

Example request body:

{
  "ip": [
    "192.0.2.1"
  ]
}

Responses

The following responses are available:

STATUS CODE DESCRIPTION
200 The request has succeeded.
304 The resource has not changed since the last request.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.
422 The request was unsuccessful because the submitted data could not be processed.